package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;


import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @TableName fs_channel_record
 */
@Data
public class FsChannelRecordVo implements Serializable {
    /**
     * 
     */
    private Integer id;

    /**
     * 通话UUID
     */
    private String uuid;

    /**
     * =1 呼入=2外呼转人工 =3普通呼出4坐席外呼5语音外呼6回访外呼
     */
    private Integer channelType;

    /**
     * 内线
     */
    private String inside;

    /**
     * 外线
     */
    private String outside;

    /**
     * 外线通道UUID
     */
    private String chnIdOutside;

    /**
     * 第三方号码
     */
    private String other;

    /**
     * 第三方UUID
     */
    private String chnIdOther;

    /**
     * 座席帐号
     */
    private String seatName;

    /**
     * 呼叫时间
     */
    private Date start;

    /**
     * 外线应答时间
     */
    private Date answer;

    /**
     * 通话时间
     */
    private Date talk;

    /**
     * 结束时间
     */
    private Date end;

    /**
     * 录音文件
     */
    private String recordFilename;

    /**
     * 录音结果
     */
    private String recordResult;

    /**
     * 实际通话时长
     */
    @JsonFormat(pattern = "HH:mm:ss")
    private Date calltime;

    /**
     * 按键
     */
    private String aj;

    /**
     * 漏接标志=0默认未知=1漏接
     */
    private Integer isLost;

    /**
     * 座席组号
     */
    private Integer seatGroup;

    /**
     * 话费
     */
    private Double money;

    /**
     * 按键记录
     */
    private String ajJilu;

    /**
     * 满意度按键记录
     */
    private Integer pleaseAj;

    /**
     * 路由号码
     */
    private String routePhone;

    /**
     * 结束类型=0呼入放弃=1排队放弃=2呼入漏接=3呼入接听后挂断=4外呼无人接听挂断=5外呼接听后挂断
     */
    private Integer endType;

    /**
     * 部门编码
     */
    private String code;

    /**
     * 点保存时间
     */
    private Date save;

    /**
     * 省份
     */
    private String province;

    /**
     * 城市
     */
    private String city;

    /**
     * 归属地
     */
    private String cityGsd;

    /**
     * =0未知=1新客户=2已分配老客户=3未分配老客户
     */
    private Integer clientType;

    /**
     * 区号
     */
    private String areacode;

    /**
     * 项目ID
     */
    private Integer pid;

    /**
     * 进入排队时间
     */
    private Date listIn;

    /**
     * 退出排队时间
     */
    private Date listEnd;

    /**
     * 排队时长
     */
    @JsonFormat(pattern = "HH:mm:ss")
    private Date listTime;

    /**
     * 内线振铃时间
     */
    private Date inRing;

    /**
     * 内线应答时间
     */
    private Date inAnswer;

    /**
     * 内线振铃时长
     */
    @JsonFormat(pattern = "HH:mm:ss")
    private Date ringTime;

    /**
     * 通话终端类型=0未知=1WEB=2话机
     */
    private Integer terminalType;

    /**
     * 外线应答时长
     */
    private Date answertime;

    /**
     * 后处理时长
     */
    private Date saveTime;


    /**
     * 备注
     */
    private String remark;

    /**
     * 备用1
     */
    private String bak1;


    /**
     * 客户状态
     */
    private String clientstatus;

    /**
     * 业务类型
     */
    private String businesstype;

    /**
     * 办事处
     */
    private String office;

    /**
     * 店铺名称
     */
    private String shopname;

    /**
     * 店铺地址
     */
    private String shopaddress;


    /**
     * 处理提交时间
     */
    private Date dealtime;

    /**
     * 所属部门
     */
    private String department;









}